com.r3corda.node.services.network / InMemoryMessagingNetwork / InMemoryMessaging / pump

# pump

`fun pump(block: Boolean): MessageTransfer?`

Delivers a single message from the internal queue. If there are no messages waiting to be delivered and block is true, waits until one has been provided on a different thread via send. If block is false, the return result indicates whether a message was delivered or not.

Return
the message that was processed, if any in this round.